| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::viz::Color Class Reference
3D Visualizer

This class represents color in BGR order. More...

`#include <opencv2/viz/types.hpp>`

Collaboration diagram for cv::viz::Color:

## Public Member Functions
| Color ()
| Color (const Scalar &color)
| Color (double blue, double green, double red)
| Color (double gray)
| The three channels will have the same value equal to gray.
| operator Vec3b () const
Public Member Functions inherited from cv::Scalar_< double >
| Scalar_ ()
| default constructor
| Scalar_ (const Scalar_ &s)
| Scalar_ (const Vec< _Tp2, cn > &v)
| Scalar_ (double v0)
| Scalar_ (double v0, double v1, double v2=0, double v3=0)
| Scalar_ (Scalar_ &&s) CV_NOEXCEPT
Scalar_< double > | conj () const
| returns (v0, -v1, -v2, -v3)
bool | isReal () const
| returns true iff v1 == v2 == v3 == 0
Scalar_< double > | mul (const Scalar_< double > &a, double scale=1) const
| per-element product
| operator Scalar_< T2 > () const
| conversion to another data type
Scalar_ & | operator= (const Scalar_ &s)
Scalar_ & | operator= (Scalar_ &&s) CV_NOEXCEPT
Public Member Functions inherited from cv::Vec< double, 4 >
| Vec ()
| default constructor
| Vec (const double *values)
| Vec (const Matx< double, cn, 1 > &a, _T2 alpha, Matx_ScaleOp)
| Vec (const Matx< double, cn, 1 > &a, const Matx< double, cn, 1 > &b, Matx_AddOp)
| Vec (const Matx< double, cn, 1 > &a, const Matx< double, cn, 1 > &b, Matx_SubOp)
| Vec (const Vec< double, cn > &v)
| Vec (double v0)
| 1-element vector constructor
| Vec (double v0, double v1)
| 2-element vector constructor
| Vec (double v0, double v1, double v2)
| 3-element vector constructor
| Vec (double v0, double v1, double v2, double v3)
| 4-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4)
| 5-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4, double v5)
| 6-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6)
| 7-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7)
| 8-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8)
| 9-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9)
| 10-element vector constructor
| Vec (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12, double v13)
| 14-element vector constructor
| Vec (std::initializer_list< double >)
Vec | conj () const
| conjugation (makes sense for complex numbers and quaternions)
Vec | cross (const Vec &v) const
Vec | mul (const Vec< double, cn > &v) const
| per-element multiplication
| operator Vec< T2, cn > () const
| conversion to another data type
double & | operator() (int i)
const double & | operator() (int i) const
Vec< double, cn > & | operator= (const Vec< double, cn > &rhs)=default
double & | operator[] (int i)
const double & | operator[] (int i) const
Public Member Functions inherited from cv::Matx< double, cn, 1 >
| Matx ()
| default constructor
| Matx (const double *vals)
| initialize from a plain array
| Matx (const Matx< double, m, l > &a, const Matx< double, l, n > &b, Matx_MatMulOp)
| Matx (const Matx< double, m, n > &a, _T2 alpha, Matx_ScaleOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_AddOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_DivOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_MulOp)
| Matx (const Matx< double, m, n > &a, const Matx< double, m, n > &b, Matx_SubOp)
| Matx (const Matx< double, n, m > &a, Matx_TOp)
| Matx (double v0)
| 1x1 matrix
| Matx (double v0, double v1)
| 1x2 or 2x1 matrix
| Matx (double v0, double v1, double v2)
| 1x3 or 3x1 matrix
| Matx (double v0, double v1, double v2, double v3)
| 1x4, 2x2 or 4x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4)
| 1x5 or 5x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5)
| 1x6, 2x3, 3x2 or 6x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6)
| 1x7 or 7x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7)
| 1x8, 2x4, 4x2 or 8x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8)
| 1x9, 3x3 or 9x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9)
| 1x10, 2x5 or 5x2 or 10x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11)
| 1x12, 2x6, 3x4, 4x3, 6x2 or 12x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12, double v13)
| 1x14, 2x7, 7x2 or 14x1 matrix
| Matx (double v0, double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12, double v13, double v14, double v15)
| 1x16, 4x4 or 16x1 matrix
| Matx (std::initializer_list< double >)
| initialize from an initializer list
Matx< double, m, 1 > | col (int i) const
| extract the matrix column
void | convertTo (const _OutputArray &dst, int type, double scale=1., double shift=0.) const
void | copyTo (const _OutputArray &dst) const
| copy & convert
double | ddot (const Matx< double, m, n > &v) const
| dot product computed in double-precision arithmetics
diag_type | diag () const
| extract the matrix diagonal
Matx< double, m, n > | div (const Matx< double, m, n > &a) const
| divide two matrices element-wise
double | dot (const Matx< double, m, n > &v) const
| dot product computed with the default precision
Matx< double, m1, n1 > | get_minor (int base_row, int base_col) const
| extract part of the matrix
Matx< double, n, m > | inv (int method=DECOMP_LU, bool *p_is_ok=NULL) const
| invert the matrix
Matx< double, m, n > | mul (const Matx< double, m, n > &a) const
| multiply two matrices element-wise
| operator Matx< T2, m, n > () const
| conversion to another data type
double & | operator() (int i)
const double & | operator() (int i) const
| 1D element access
double & | operator() (int row, int col)
const double & | operator() (int row, int col) const
| element access
Matx< double, m1, n1 > | reshape () const
| change the matrix shape
Matx< double, 1, n > | row (int i) const
| extract the matrix row
Matx< double, n, l > | solve (const Matx< double, m, l > &rhs, int flags=DECOMP_LU) const
| solve linear system
Vec< double, n > | solve (const Vec< double, m > &rhs, int method) const
Matx< double, n, m > | t () const
| transpose the matrix

## Static Public Member Functions
static Color | amethyst ()
static Color | apricot ()
static Color | azure ()
static Color | black ()
static Color | bluberry ()
static Color | blue ()
static Color | brown ()
static Color | celestial_blue ()
static Color | chartreuse ()
static Color | cherry ()
static Color | cyan ()
static Color | gold ()
static Color | gray ()
static Color | green ()
static Color | indigo ()
static Color | lime ()
static Color | magenta ()
static Color | maroon ()
static Color | mlab ()
static Color | navy ()
static Color | not_set ()
static Color | olive ()
static Color | orange ()
static Color | orange_red ()
static Color | pink ()
static Color | purple ()
static Color | raspberry ()
static Color | red ()
static Color | rose ()
static Color | silver ()
static Color | teal ()
static Color | turquoise ()
static Color | violet ()
static Color | white ()
static Color | yellow ()
Static Public Member Functions inherited from cv::Scalar_< double >
static Scalar_< double > | all (double v0)
| returns a scalar with all elements set to v0
Static Public Member Functions inherited from cv::Vec< double, 4 >
static Vec | all (double alpha)
static Vec | diag (double alpha)=delete
static Vec | eye ()=delete
static Vec | ones ()
static Vec | randn (double a, double b)
static Vec | randu (double a, double b)
static Vec | zeros ()
Static Public Member Functions inherited from cv::Matx< double, cn, 1 >
static CV_NODISCARD_STD Matx | all (double alpha)
static CV_NODISCARD_STD Matx | diag (const diag_type &d)
static CV_NODISCARD_STD Matx | eye ()
static CV_NODISCARD_STD Matx | ones ()
static CV_NODISCARD_STD Matx | randn (double a, double b)
| Generates normally distributed random numbers.
static CV_NODISCARD_STD Matx | randu (double a, double b)
| Generates uniformly distributed random numbers.
static CV_NODISCARD_STD Matx | zeros ()

## Additional Inherited Members
Public Types inherited from cv::Vec< double, 4 >
enum |
typedef double | value_type
Public Types inherited from cv::Matx< double, cn, 1 >
enum |
typedef Matx< double, shortdim, 1 > | diag_type
typedef Matx< double, m, n > | mat_type
typedef double | value_type
Public Attributes inherited from cv::Matx< double, cn, 1 >
double | val [m *n]
| matrix elements

## Detailed Description

This class represents color in BGR order.

## Constructor & Destructor Documentation

## ◆ Color() [1/4]

cv::viz::Color::Color | ( |  | ) |

## ◆ Color() [2/4]

cv::viz::Color::Color | ( | double | gray | ) |

The three channels will have the same value equal to gray.

## ◆ Color() [3/4]

cv::viz::Color::Color | ( | double | blue,
|  | double | green,
|  | double | red )

## ◆ Color() [4/4]

cv::viz::Color::Color | ( | const Scalar & | color | ) |

## Member Function Documentation

## ◆ amethyst()

static Color cv::viz::Color::amethyst | ( |  | ) |
| static

## ◆ apricot()

static Color cv::viz::Color::apricot | ( |  | ) |
| static

## ◆ azure()

static Color cv::viz::Color::azure | ( |  | ) |
| static

## ◆ black()

static Color cv::viz::Color::black | ( |  | ) |
| static

## ◆ bluberry()

static Color cv::viz::Color::bluberry | ( |  | ) |
| static

## ◆ blue()

static Color cv::viz::Color::blue | ( |  | ) |
| static

## ◆ brown()

static Color cv::viz::Color::brown | ( |  | ) |
| static

## ◆ celestial_blue()

static Color cv::viz::Color::celestial_blue | ( |  | ) |
| static

## ◆ chartreuse()

static Color cv::viz::Color::chartreuse | ( |  | ) |
| static

## ◆ cherry()

static Color cv::viz::Color::cherry | ( |  | ) |
| static

## ◆ cyan()

static Color cv::viz::Color::cyan | ( |  | ) |
| static

## ◆ gold()

static Color cv::viz::Color::gold | ( |  | ) |
| static

## ◆ gray()

static Color cv::viz::Color::gray | ( |  | ) |
| static

## ◆ green()

static Color cv::viz::Color::green | ( |  | ) |
| static

## ◆ indigo()

static Color cv::viz::Color::indigo | ( |  | ) |
| static

## ◆ lime()

static Color cv::viz::Color::lime | ( |  | ) |
| static

## ◆ magenta()

static Color cv::viz::Color::magenta | ( |  | ) |
| static

## ◆ maroon()

static Color cv::viz::Color::maroon | ( |  | ) |
| static

## ◆ mlab()

static Color cv::viz::Color::mlab | ( |  | ) |
| static

## ◆ navy()

static Color cv::viz::Color::navy | ( |  | ) |
| static

## ◆ not_set()

static Color cv::viz::Color::not_set | ( |  | ) |
| static

## ◆ olive()

static Color cv::viz::Color::olive | ( |  | ) |
| static

## ◆ operator Vec3b()

cv::viz::Color::operator Vec3b | ( |  | ) | const

## ◆ orange()

static Color cv::viz::Color::orange | ( |  | ) |
| static

## ◆ orange_red()

static Color cv::viz::Color::orange_red | ( |  | ) |
| static

## ◆ pink()

static Color cv::viz::Color::pink | ( |  | ) |
| static

## ◆ purple()

static Color cv::viz::Color::purple | ( |  | ) |
| static

## ◆ raspberry()

static Color cv::viz::Color::raspberry | ( |  | ) |
| static

## ◆ red()

static Color cv::viz::Color::red | ( |  | ) |
| static

## ◆ rose()

static Color cv::viz::Color::rose | ( |  | ) |
| static

## ◆ silver()

static Color cv::viz::Color::silver | ( |  | ) |
| static

## ◆ teal()

static Color cv::viz::Color::teal | ( |  | ) |
| static

## ◆ turquoise()

static Color cv::viz::Color::turquoise | ( |  | ) |
| static

## ◆ violet()

static Color cv::viz::Color::violet | ( |  | ) |
| static

## ◆ white()

static Color cv::viz::Color::white | ( |  | ) |
| static

## ◆ yellow()

static Color cv::viz::Color::yellow | ( |  | ) |
| static

The documentation for this class was generated from the following file:

- opencv2/viz/types.hpp